/*
 * SimpleApp Demo
 * 
 * Copyright (c) 2010, CodeRight
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice and this list of conditions.
 *   - Redistributions in binary form must reproduce the above
 *     copyright notice and this list of conditions in the 
 *     documentation and/or other materials provided with the 
 *     distribution.
 * 
 * Jazz Desktop Application Framework
 * http://jazz.coderight.nl
 * 
 * Author: Will Boluyt
 */
package nl.coderight.jazz.demo;

import java.util.List;

import nl.coderight.jazz.demo.domain.Contact;
import nl.coderight.jazz.form.FormModel;

public class SimpleModel extends FormModel {
	private List<Contact> contacts;
	private Contact contact;
	private String notes;
	
	public List<Contact> getContacts() {
		return contacts;
	}

	public void setContacts(List<Contact> contacts) {
		this.contacts = contacts;
		notifyValueChanged("contacts", contacts);		
	}
	
	public Contact getContact() {
		return contact;
	}

	public void setContact(Contact contact) {
		this.contact = contact;
		notifyValueChanged("contact", contact);
	}

	public Contact createContact() {
		Contact contact = new Contact();
		setContact(contact);
		return contact;
	}

	public void insertOrUpdateContact(Contact contact) {
		if (contact.getId() == null) {
			contacts.add(contact);
			notifyValueInserted("contacts", contact);
		} else {
			notifyValueUpdated("contacts", contact);
		}
	}
	
	public void deleteContact(Contact contact) {
		contacts.remove(contact);
		notifyValueDeleted("contacts", contact);
	}
	
	public String getNotes() {
		return notes;
	}
	
	public void setNotes(String notes) {
		this.notes = notes;
		notifyValueChanged("notes", notes);
	}
	
}
