/*
 * SimpleApp Demo
 * 
 * Copyright (c) 2010, CodeRight
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice and this list of conditions.
 *   - Redistributions in binary form must reproduce the above
 *     copyright notice and this list of conditions in the 
 *     documentation and/or other materials provided with the 
 *     distribution.
 * 
 * Jazz Desktop Application Framework
 * http://jazz.coderight.nl
 * 
 * Author: Will Boluyt
 */
package nl.coderight.jazz.demo.contact;

import nl.coderight.jazz.Controller;
import nl.coderight.jazz.demo.SimpleModel;
import nl.coderight.jazz.demo.domain.Contact;
import nl.coderight.jazz.demo.event.ContactEvent;

public class ContactController extends Controller {
	private SimpleModel simpleModel;
	private ContactView contactView;
	
	public void handleEvent(ContactEvent evt) {
		Contact contact = simpleModel.getContact();
		switch (evt.getType()) {
		case SUBMIT:
			//commit changes
			simpleModel.insertOrUpdateContact(contact);
			break;
			
		default:
			propagateEvent(evt);
			break;
		}
	}
	
	public void execute() {
		simpleModel = (SimpleModel) getModel();
		contactView = new ContactView();
		setView(contactView);
		showView();
	}

}
