/*
 * SimpleApp Demo
 * 
 * Copyright (c) 2010, CodeRight
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice and this list of conditions.
 *   - Redistributions in binary form must reproduce the above
 *     copyright notice and this list of conditions in the 
 *     documentation and/or other materials provided with the 
 *     distribution.
 * 
 * Jazz Desktop Application Framework
 * http://jazz.coderight.nl
 * 
 * Author: Will Boluyt
 */
package nl.coderight.jazz.demo.event;

import java.util.List;

import nl.coderight.jazz.Event;
import nl.coderight.jazz.demo.domain.Contact;
import nl.coderight.jazz.demo.event.ContactEvent.ContactEventType;

public class ContactEvent extends Event<ContactEventType> {
	private List<Contact> contacts;
	
	public enum ContactEventType {
		LOAD_SUCCESS,
		FILTER, ADD, EDIT, DELETE, SUBMIT, CANCEL, SELECT, CHANGE;
	}
	
	public ContactEvent(ContactEventType type) {
		super(type);
	}
	
	public List<Contact> getContacts() {
		return contacts;
	}
	
	public void setContacts(List<Contact> contacts) {
		this.contacts = contacts;
	}
	
}
