/*
 * SimpleApp Demo
 * 
 * Copyright (c) 2010, CodeRight
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *   - Redistributions of source code must retain the above copyright
 *     notice and this list of conditions.
 *   - Redistributions in binary form must reproduce the above
 *     copyright notice and this list of conditions in the 
 *     documentation and/or other materials provided with the 
 *     distribution.
 * 
 * Jazz Desktop Application Framework
 * http://jazz.coderight.nl
 * 
 * Author: Will Boluyt
 */
package nl.coderight.jazz.demo.img;

import java.awt.Image;
import java.util.Locale;
import java.util.MissingResourceException;

import javax.swing.Icon;
import javax.swing.ImageIcon;

import nl.coderight.jazz.i18n.ResourceManager;

public class ResourceLoader extends ResourceManager {
	
	public ResourceLoader(String bundle) {
		try {
			super.setResourceBundle(bundle);
		} catch (MissingResourceException e) {
			Locale.setDefault(Locale.US);
			super.setResourceBundle(bundle);
		}
	}

	@Override
	public Icon getResourceAsIcon(String name) {
		return new ImageIcon(getClass().getResource(translate(name)));
	}

	@Override
	public Image getResourceAsImage(String name) {
		return new ImageIcon(getClass().getResource(translate(name))).getImage();
	}

}
